package com.ylcm.sys.enums;

public enum AdSpecialShowEnvEnum {
	
	NEWS(0, "新闻"),
	TV(1,"电视剧"),
	ADVERTISE(2, "广告片"), //variety shows
	COLUMN(3, "栏目"), //        
	PROPAG(4, "宣传片"), 
	XIAOPIN(5, "小品"),
	MOVIE(6, "电影"),
	BRODCAST(7, "天气预报"),
	CARTOON(8, "动画片"),
	DOCUMENTARY(9, "纪录片"),
    ;

    private Integer code;
    private String name;

    AdSpecialShowEnvEnum(Integer code, String name){
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
    
	public static String getMsgByVal(Integer val) {
		if(val == null){
			return "";
		}
		for (AdSpecialShowEnvEnum ele : values()) {
			if (ele.getCode().equals(val)) {
				return ele.getName();
			}
		}
		return "";
	}
    
}
